JavaClassContext
Date: 2017-03-29

com.thoughtworks.qdox

## Class JavaClassContext

- java.lang.Object
- - com.thoughtworks.qdox.JavaClassContext

- All Implemented Interfaces:
    java.io.Serializable

      public class JavaClassContext
      extends java.lang.Object
      implements java.io.Serializable

  JavaClassContext gives you a mechanism to get a JavaClass. If a class couldn't be found in the cache, the class will be pulled from the classLibrary, the builder will create the corresponding JavaClass and put it in the cache.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaClassContext(ClassLibrary classLibrary)`
    `JavaClassContext(JavaDocBuilder builder)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(JavaClass javaClass)`
    `void` | `add(JavaPackage jPackage)`
    `void` | `add(java.lang.String fullyQualifiedClassName)`
    `java.lang.Class` | `getClass(java.lang.String name)`
    `JavaClass` | `getClassByName(java.lang.String name)`
    `JavaClass[]` | `getClasses()`
    `ClassLibrary` | `getClassLibrary()` temporary, this should be hidden
    `JavaPackage` | `getPackageByName(java.lang.String name)`
    `JavaPackage[]` | `getPackages()`
    `void` | `setClassLibrary(ClassLibrary classLibrary)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaClassContext

          public JavaClassContext(JavaDocBuilder builder)

    - #### JavaClassContext

          public JavaClassContext(ClassLibrary classLibrary)

  - ### Method Detail

    - #### setClassLibrary

          public void setClassLibrary(ClassLibrary classLibrary)

    - #### getClassLibrary

          public ClassLibrary getClassLibrary()

      temporary, this should be hidden
      Returns:
        classLibrary

    - #### getClassByName

          public JavaClass getClassByName(java.lang.String name)

    - #### getClasses

          public JavaClass[] getClasses()

    - #### add

          public void add(JavaClass javaClass)

    - #### add

          public void add(java.lang.String fullyQualifiedClassName)

    - #### getClass

          public java.lang.Class getClass(java.lang.String name)

    - #### getPackageByName

          public JavaPackage getPackageByName(java.lang.String name)

    - #### add

          public void add(JavaPackage jPackage)

    - #### getPackages

          public JavaPackage[] getPackages()